Subject: Re: [MEDIACTRL] <encryption> support

From: Eric Burger <[email-masked]>
Date: Thu, 10 Jan 2013 14:28:32 -0500

This question has been open for about a month.  To date, we have had seven comments, all positive for the proposal to mandate only DTLS-SRTP.  Therefore, we have more than consensus. Ship it.

On Dec 13, 2012, at 4:55 PM, Eric Burger <[email-masked]> wrote:

> Section 5.1.5.21 of http://datatracker.ietf.org/doc/draft-ietf-mediactrl-mrb/ describes an indicator, <encryption>, as to whether or not a Media Server supports SRTP.
> 
> We were thinking there could be some opaque string that would describe the keying mechanism.  However, as numerous ADs have pointed out, there is no IANA registry for such mechanisms.
> 
> I would offer we be pragmatic, and I would like to hear from manufacturers principally but others with skin in the game. Specifically, what if we said there is one and only one official, supported keying mechanism, namely DTLS-SRTP?  While it is true that today most SIP SRTP implementations are SDES, the user community is demanding a move to DTLS-SRTP and DTLS-SRTP will also be the only keying mechanism for RTCWEB.
> 
> So, the proposed text would be:
> 
> 5.1.5.21.  <encryption>
> 
>   The <encryption> element allows a Media Server to declare support for
>   encrypting RTP media streams using RFC 3711 [RFC3711].  The element
>   MAY be present.  If the element is present, then the Media Server supports
>   DTLS-SRTP [RFC 5763].
> 
>   The <encryption> element has no attributes.
> 
> 
> Anyone want to see something different?_______________________________________________
> MEDIACTRL mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mediactrl
> Supplemental Web Site:
> http://www.standardstrack.com/ietf/mediactrl